using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioConsfatIlumPublica
    {

        public IList<entidadeConsfatIlumPublica> Select(entidadeConsfatIlumPublica objConsfatIlumPublica)
        {
            dalConsfatIlumPublica dalConsfatIlumPublica = null;

            var lstConsfatIlumPublica = new List<entidadeConsfatIlumPublica>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalConsfatIlumPublica = new dalConsfatIlumPublica();
                dt = dalConsfatIlumPublica.Select(objConsfatIlumPublica);

                regranegocioGlobal = new regraNegocioGlobal();

                lstConsfatIlumPublica = regraNegocioGlobal.ConvertDataTable<entidadeConsfatIlumPublica>(dt);

                return lstConsfatIlumPublica;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
